Download a Report
curl --request GET \
--url https://api-sandbox.y.uno/v2/reports/{report_id}/download \
--header 'X-Organization-Code: <x-organization-code>' \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v2/reports/{report_id}/download"
headers = {
"X-Organization-Code": "<x-organization-code>",
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Organization-Code': '<x-organization-code>',
'public-api-key': '<api-key>',
'private-secret-key': '<api-key>'
}
};
fetch('https://api-sandbox.y.uno/v2/reports/{report_id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "TRANSACTIONS",
"download_link": "https://s3.amazonaws.com/.../report.csv",
"status": "AVAILABLE"
}{
"code": "INVALID_REQUEST",
"messages": [
"Invalid request"
]
}{
"code": "INVALID_CREDENTIALS",
"messages": [
"Invalid credentials"
]
}{
"code": "AUTHORIZATION_REQUIRED",
"messages": [
"The merchant has no authorization to use this API."
]
}Download a Report
GET
/
reports
/
{report_id}
/
download
Download a Report
Recent endpoint updateThis endpoint was recently updated to version 2 (see “V2” in the URL). Version 1 has been deprecated, we recommend switching to V2 as soon as possible.
id.
Downloading reportsThe API response will include a link with to download the report. Open the link through your browser to access the data.
Payments
Settlements & Fees
Transaction Report
Reconciliation Overview
Communications
Authorizations
Headers
Organization code associated to the request.
Path Parameters
The report unique identifier.
Was this page helpful?
⌘I